apiVersion: apps/v1
kind: Deployment
metadata:
  name: simple-api
  labels:
    app: simple-api
spec:
  replicas: 3
  selector:
    matchLabels:
      app: simple-api
  template:
    metadata:
      labels:
        app: simple-api
    spec:
      containers:
      - name: simple-api
        image: registry.gitlab.com/tapioca/treinamento/simple-api:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 3000
      imagePullSecrets:
        - name: kubernetes-gitlab
